Chat now with support
Chat with Support

Foglight 5.7.5 - Upgrade Guide

Understand product versions Best practices Upgrade the Foglight Management Server Upgrade the Foglight Agent Manager Upgrade the Application Monitoring cartridges Upgrade the Database cartridges Upgrade the End User Management cartridges Upgrade the Infrastructure Management cartridges Upgrade the Integration cartridges Upgrade the cartridges in a federated or High Availability (HA) environment Appendix: Deploy an agent package using the browser interface

Understand product versions

This guide provides instructions on how to upgrade to the latest version of the Foglight™ Management Server and the Foglight Agent Manager. This guide also provides upgrade instructions for the cartridges and cartridge-related components that are included with Foglight 5.7.5.8.

This section provides information about important changes made in this release, product versions, and components compatibility:

Components compatibility

Foglight Management Server 5.7.5.8 has undergone integration testing with the latest versions of all of the cartridges that were available before the Foglight 5.7.5.8 release and with the cartridges that have been updated for the Foglight 5.7.5.8 release.

If you are upgrading the Management Server to version 5.7.5.8, you can upgrade just the Management Server without upgrading your cartridges, provided that your cartridges are of the versions listed below. If you do not upgrade your cartridges, you will not need to make changes to your monitored hosts.

The following software has been updated for the Foglight 5.7.5.8 release:

The following cartridges and cartridge-related software are supported with Foglight Management Server 5.7.5.8:

For a complete list of fixes for any of these components, please refer to the release notes that accompany them. If you decide to maintain the version you have of any of the updated components, as opposed to upgrading, you will not acquire the new fixes for that component.

For more details, see these topics:

Foglight cartridge upgrade issues

NOTE: Any versions earlier than those listed in the Components compatibility list may not be compatible with Foglight 5.7.5.8. It is recommended that you only use the listed versions.

The following cartridges are not compatible with the Foglight 5.7.5.8 release:

For any Foglight cartridge, follow the instructions in this guide to upgrade the cartridge to the latest version. If any additional information is required to upgrade a particular cartridge, the instructions in this guide will direct you to the release notes for that cartridge for the information.

Foglight appliance upgrade issues

The latest version of the Foglight Experience Monitor (FxM) appliance is 5.8.0. For more information, see Upgrade the Foglight Experience Monitor appliance.

The latest version of the Foglight Experience Viewer (FxV) appliances is 5.7.0. For more information, see Upgrade the Foglight Experience Viewer appliance.

Self Service Tools
Knowledge Base
Notifications & Alerts
Product Support
Software Downloads
Technical Documentation
User Forums
Video Tutorials
Contact Us
Licensing Assistance
Technical Support
View All
Related Documents